package cn.com.ctop.common.module.mapper;

import cn.com.ctop.common.module.entity.MaterialParameter;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 素材归属标
 *
 * @author: jeecg-boot
 * @date: 2019-11-23
 * @cersion: V1.0
 */
public interface MaterialParameterMapper extends BaseMapper<MaterialParameter> {

    JSONObject getMaterialTotalCharge(@Param("signature") String signature);

    JSONObject getByteDanceMaterialTotalCharge(@Param("signature") String signature);

    List<JSONObject> getKuaiShouVideoCostList(@Param("md5List") List<String> md5List);

    List<JSONObject> getBytedanceVideoCostList(List<String> md5List);
}
